Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_PriorityModelPolicy Class Reference

RTCORBA::PriorityModelPolicy implementation. More...

`#include <RT_Policy_i.h>`

Inheritance diagram for TAO_PriorityModelPolicy:

[legend]
Collaboration diagram for TAO_PriorityModelPolicy:

[legend]
List of all members.

## Public Methods
| TAO_PriorityModelPolicy (RTCORBA::PriorityModel priority_model, RTCORBA::Priority server_priority)
| Constructor.
| TAO_PriorityModelPolicy (const TAO_PriorityModelPolicy &rhs)
| Copy constructor.
RTCORBA::PriorityModel | get_priority_model (void)
RTCORBA::PriorityModel | priority_model (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
RTCORBA::Priority | server_priority (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
CORBA::PolicyType | policy_type (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
CORBA::Policy_ptr | copy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
void | destroy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
CORBA::Boolean | _tao_encode (TAO_OutputCDR &out_cdr)
| This method writes a CDR representation of the object state.
CORBA::Boolean | _tao_decode (TAO_InputCDR &in_cdr)
| This method reads the object state from a CDR representation.
TAO_Cached_Policy_Type | _tao_cached_type (void) const
TAO_Policy_Scope | _tao_scope (void) const
## Static Public Methods
CORBA::Policy_ptr | create (const CORBA::Any &val ACE_ENV_ARG_DECL)
## Protected Methods
virtual | ~TAO_PriorityModelPolicy (void)
| TAO_PriorityModelPolicy (void)
## Private Attributes
RTCORBA::PriorityModel | priority_model_
| Attributes.
RTCORBA::Priority | server_priority_
## Friends
class | TAO_RT_PolicyFactory

## Detailed Description

RTCORBA::PriorityModelPolicy implementation.

This policy controls how the priority at which a server handles requests from clients is determined.

## Constructor & Destructor Documentation

TAO_PriorityModelPolicy::TAO_PriorityModelPolicy | ( | RTCORBA::PriorityModel | priority_model,
|  | RTCORBA::Priority | server_priority
| ) |

| Constructor.

TAO_PriorityModelPolicy::TAO_PriorityModelPolicy | ( | const TAO_PriorityModelPolicy & | rhs | ) |

| Copy constructor.

TAO_PriorityModelPolicy::~TAO_PriorityModelPolicy | ( | void |  | ) | `[protected, virtual]`

| Protected destructor to enforce proper memory management of this reference counted object.

TAO_PriorityModelPolicy::TAO_PriorityModelPolicy | ( | void |  | ) | `[protected]`

## Member Function Documentation

TAO_Cached_Policy_Type TAO_PriorityModelPolicy::_tao_cached_type | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Policy.

CORBA::Boolean TAO_PriorityModelPolicy::_tao_decode | ( | TAO_InputCDR & | in_cdr | ) | `[virtual]`

| This method reads the object state from a CDR representation. Reimplemented from CORBA::Policy.

CORBA::Boolean TAO_PriorityModelPolicy::_tao_encode | ( | TAO_OutputCDR & | out_cdr | ) | `[virtual]`

| This method writes a CDR representation of the object state. Reimplemented from CORBA::Policy.

TAO_Policy_Scope TAO_PriorityModelPolicy::_tao_scope | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Policy.

CORBA::Policy_ptr TAO_PriorityModelPolicy::copy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)

| Reimplemented from CORBA::Policy.

CORBA::Policy_ptr TAO_PriorityModelPolicy::create | ( | const CORBA::Any &val | ACE_ENV_ARG_DECL | ) | `[static]`

| Helper method for the implementation of CORBA::ORB::create_policy.

void TAO_PriorityModelPolicy::destroy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from CORBA::Policy.

RTCORBA::PriorityModel TAO_PriorityModelPolicy::get_priority_model | ( | void |  | ) |

| Accessor for the <priority_model_> attribute. This method is used internally by the orb. This is a more efficient (non-virtual, no exception handling) relative of the idl interface implementation <priority_model> below.

CORBA::PolicyType TAO_PriorityModelPolicy::policy_type | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from CORBA::Policy.

RTCORBA::PriorityModel TAO_PriorityModelPolicy::priority_model | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Implements RTCORBA::PriorityModelPolicy.

RTCORBA::Priority TAO_PriorityModelPolicy::server_priority | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Implements RTCORBA::PriorityModelPolicy.

## Friends And Related Function Documentation

friend class TAO_RT_PolicyFactory`[friend]`

| This constructor is used by TAO_RT_PolicyFactory when decoding policies from tagged components in an IOR.

## Member Data Documentation

RTCORBA::PriorityModel TAO_PriorityModelPolicy::priority_model_`[private]`

| Attributes.

RTCORBA::Priority TAO_PriorityModelPolicy::server_priority_`[private]`

The documentation for this class was generated from the following files:

- RT_Policy_i.h
- RT_Policy_i.cpp